
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM Cell Broadcast Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.CB</h1><h2>Description</h2>
<p>The Cell Broadcast interface allows you to manage cell broadcast subscriptions.   Cell Broadcast is a technology that allows a text or binary message to be defined  and distributed to all mobile terminals connected to a set of cells. Whereas SMS  messages are sent point-to-point, Cell Broadcast messages are sent point-to-area.  This means that one Cell Broadcast message can reach a huge number of terminals  at once.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.CB</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetCellBroadcastSubscriptions">GetCellBroadcastSubscriptions</a></li>
<li><a href="#SetCellBroadcastSubscriptions">SetCellBroadcastSubscriptions</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#IncomingCellBroadcast">IncomingCellBroadcast</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetCellBroadcastSubscriptions">GetCellBroadcastSubscriptions</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Get current cell broadcast subscription channels. </p><h4>Returns</h4><i>s: channels</i><p>The channels you are subscribed to. Simple strings to expect are  "none" and "all". Also valid are compound descriptions of channel lists like  "1,2,3-5,7,234,10-5". </p>
<h3><a name="SetCellBroadcastSubscriptions">SetCellBroadcastSubscriptions</a> ( s )</h3>
<p><i>Description:</i> Set cell broadcast subscription channels. </p><h4>Parameters</h4><i>s: channels</i><p>The channels you want to subscribe. Valid simple strings are  "none" and "all". Also valid are compound descriptions of channels lists like  "1,2,3-5,7,234,10-5". </p>
<h1>Signals</h1><h3><h3><a name="IncomingCellBroadcast">IncomingCellBroadcast</a> ( ssa{sv} )</h3><p><i>Description:</i> Sent, when a cell broadcast message has been received. </p><h4>Parameters</h4><i>s: text</i><p>The text of the message. </p><i>s: language</i><p>The language encoding. </p><i>a{sv}: properties</i><p>Additional properties. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

